<div class="col-md-6 c">
  <div class="d-flex justify-content-center">
    <form
      *ngIf="!isSuccessful"
      name="form"
      (ngSubmit)="f.form.valid && onSubmit()"
      #f="ngForm"
      novalidate
    >
      <div class="form-group">
        <label for="firstName">First name</label>
        <input
          type="text"
          class="form-control"
          name="firstName"
          [(ngModel)]="user.firstName"
          required
          minlength="4"
          #firstName="ngModel"
          id="firstName"
        />
        <div class="alert-danger" *ngIf="f.submitted && firstName.invalid">
          <div *ngIf="firstName.errors.required">Firstname is required</div>
          <div *ngIf="firstName.errors.minlength">
            First name must be a at least 4 characters
          </div>
        </div>
      </div>
      <div class="form-group">
        <label for="lastName">Last name</label>
        <input
          type="text"
          class="form-control"
          name="lastName"
          [(ngModel)]="user.lastName"
          required
          minlength="4"
          #lastName="ngModel"
          id="lastName"
        />
        <div class="alert-danger" *ngIf="f.submitted && lastName.invalid">
          <div *ngIf="lastName.errors.required">Firstname is required</div>
          <div *ngIf="lastName.errors.minlength">
            Last name must be a at least 4 characters
          </div>
        </div>
      </div>
      <div class="form-group">
        <label for="username">Username</label>
        <input
          type="text"
          class="form-control"
          name="username"
          [(ngModel)]="user.username"
          required
          minlength="3"
          maxlength="20"
          #username="ngModel"
          id="username"
        />
        <div class="alert-danger" *ngIf="f.submitted && username.invalid">
          <div *ngIf="username.errors.required">Username is required</div>
          <div *ngIf="username.errors.minlength">
            Username must be at least 3 characters
          </div>
          <div *ngIf="username.errors.maxlength">
            Username must be at most 20 characters
          </div>
        </div>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input
          type="password"
          class="form-control"
          name="password"
          [(ngModel)]="user.password"
          required
          minlength="6"
          #password="ngModel"
          id="password"
        />
        <div class="alert-danger" *ngIf="f.submitted && password.invalid">
          <div *ngIf="password.errors.required">Password is required</div>
          <div *ngIf="password.errors.minlength">
            Password must be at least 6 characters
          </div>
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-primary btn-block">Sign Up</button>
      </div>

      <div class="alert alert-warning" *ngIf="f.submitted && isSignUpFailed">
        Signup failed!<br />{{ errorMessage }}
      </div>
    </form>

    <div class="alert alert-success" *ngIf="isSuccessful">
      Your registration is successful!
    </div>
  </div>
</div>
